V 2.0 Beta2 Installationsproblem

Hier können Probleme und alles andere in Deutscher Sprache gelöst werden.
User avatar
refilix
Regular
Posts: 299
Joined: Sat Aug 01, 2009 12:39 am
Location: Berlin
Contact:

V 2.0 Beta2 Installationsproblem

Post by refilix » Tue Apr 22, 2014 12:13 pm

Hallo,

wenn ich das Update hochgeladen habe kommt folgende Meldung:

Warning: require_once(__DIR__/composer/autoload_real.php) [function.require-once]: failed to open stream: No such file or directory in /homepages/32/d97404524/htdocs/serendipity/bundled-libs/autoload.php on line 5

Fatal error: require_once() [function.require]: Failed opening required '__DIR__/composer/autoload_real.php' (include_path='.:/usr/lib/php5') in /homepages/32/d97404524/htdocs/serendipity/bundled-libs/autoload.php on line 5

PHP Version ist 5.4

grüße refi
Das Leben ist ein scheiss Spiel! Nur die Grafik ist geil!

MarioH
Regular
Posts: 235
Joined: Mon Jul 20, 2009 10:53 pm
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by MarioH » Tue Apr 22, 2014 4:45 pm

Hallo,

sicher, dass alle Dateien hochgeladen wurden? Und sind die Rechte in den Verzeichnissen richtig gesetzt?

Gruß
Mario

User avatar
refilix
Regular
Posts: 299
Joined: Sat Aug 01, 2009 12:39 am
Location: Berlin
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by refilix » Tue Apr 22, 2014 6:07 pm

Hallo,

ich hab die Dateien bereits Mehrfach hochgeladen. Bin mir also sicher das alles oben ist.

Der Titel ist verwirrent. Ich mach keine neu installation sondern ein Update von 1.7.8 auf 2.0. Sorry habs bescheiden formuliert. Muss man bei 2.0 die Schreibrechte neu vergeben?

grüße refi
Das Leben ist ein scheiss Spiel! Nur die Grafik ist geil!

User avatar
yellowled
Regular
Posts: 7111
Joined: Fri Jan 13, 2006 11:46 am
Location: Eutin, Germany
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by yellowled » Tue Apr 22, 2014 6:34 pm

refilix wrote:Muss man bei 2.0 die Schreibrechte neu vergeben?
Nein. Es sei denn, Du verbiegst irgendwie beim Upload die Permissions, aber auch das wäre nicht versionsspezifisch für 2.0.

Es könnte irgendetwas™ mit der spezifischen PHP-Installation oder eher -Konfiguration dort zu tun haben, aber dazu müssten die Jungs aus der Kernentwicklung bitte etwas sagen. Ich kenn mich nur mit bunt und so aus.

YL
amazon Wishlist - Serendipity-Podcast (German only, sorry)

User avatar
refilix
Regular
Posts: 299
Joined: Sat Aug 01, 2009 12:39 am
Location: Berlin
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by refilix » Tue Apr 22, 2014 6:37 pm

Hi,

beim ersten installationsversuch lief PHP 5.2. Habs dann auf 5.4 Angehoben. Jedoch hat sich nichts geändert.

grüße refi
Das Leben ist ein scheiss Spiel! Nur die Grafik ist geil!

User avatar
onli
Regular
Posts: 2361
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by onli » Tue Apr 22, 2014 7:34 pm

Schau dir bitte mal die Dateien an, die in der Fehlermeldung erwähnt werden, also die:

serendipity/bundled-libs/autoload.php
serendipity/bundled-libs/composer/autoload_real.php

Existieren die? Sind sie dem Webserver zugänglich (Besitzer, Rechte?)

User avatar
refilix
Regular
Posts: 299
Joined: Sat Aug 01, 2009 12:39 am
Location: Berlin
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by refilix » Tue Apr 22, 2014 8:28 pm

Hallo,

Ja beide Dateien sind Vorhanden.

autoload.php und autoload_real.php sind auf 604.

Beide Fehler sagen Line 5 also,

Code: Select all

class ComposerAutoloaderInit3146f05565d9c8136a7e59e2a511ce14
?? Was sagt dieses aus?
Das Leben ist ein scheiss Spiel! Nur die Grafik ist geil!

User avatar
onli
Regular
Posts: 2361
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by onli » Tue Apr 22, 2014 8:55 pm

Das ist ein Autoloader. Damit sollen die Libraries geladen werden, die von s9y später benutzt werden, aber ohne sie manuell einbinden zu müssen. Momentan benutzen wir ihn gar nicht…

Warum die den Ansatz mit den Zufallswerten in der Klasse nehmen weiß ich nicht.

Du solltest herausfinden, warum dein Server die nicht öffnen kann. Entweder sind da die Rechte falsch, oder irgendwas an dem Serversetup des Hosters (ein securitymodul?) verhindert die Ausführung. Da das ein Standardtool ist und nichts spezifisches für s9y sollte dem zwar nicht sos ein, aber dann müsstest du beim Hoster nachfragen.

User avatar
refilix
Regular
Posts: 299
Joined: Sat Aug 01, 2009 12:39 am
Location: Berlin
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by refilix » Tue Apr 22, 2014 8:58 pm

Komisch...

sollte ich das problem dann nicht schon bei den vorherigen Version gehabt haben? bzw. bei den Updates davor? Hoster hat sich nicht geändert...

Der Hoster ist 1und1 und von einem SecurityModul hab ich bisher noch nichts mitbekommen.
Das Leben ist ein scheiss Spiel! Nur die Grafik ist geil!

User avatar
onli
Regular
Posts: 2361
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by onli » Tue Apr 22, 2014 9:04 pm

Hattest du vorher schon 2.0 (die alpha?)? Das ist damit neu gekommen.

Weitere Ideen hab ich leider nicht. Vll weiß einer der anderen etwas?

Ansonsten bei 1&1 anfragen (und hier bitte bescheidgeben, das ist natürlich ein für uns relevantes problem)

User avatar
refilix
Regular
Posts: 299
Joined: Sat Aug 01, 2009 12:39 am
Location: Berlin
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by refilix » Tue Apr 22, 2014 9:08 pm

Hi,

ne ich hab es direkt mit der Beta 2 versucht. Ich schreib 1und1 mal an. Mal schauen vieleicht haben diese eine Idee.
Das Leben ist ein scheiss Spiel! Nur die Grafik ist geil!

mbb
Regular
Posts: 60
Joined: Sun Jul 22, 2007 3:06 pm

Re: V 2.0 Beta2 Installationsproblem

Post by mbb » Wed Apr 23, 2014 4:53 pm

Hallo ... ich habe beim Upgrade auf die Beta2 auch ein kleines Problem. Wenn ich das Admin Interface aufrufe erscheint folgende Fehlermeldung. Über "Eintrag Bearbeiten" komme ich in´s Admin Interface kann alles normal bearbeiten. Nur der Direktaufruf des Admin Interfaces klappt nicht. Der Rest funktioniert einwandfrei.

== TESTING ERROR MODE ==

Fatal error: Uncaught exception 'ErrorException' with message 'fopen(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0' in /[Anm: HIER STEHT DER SERVERPFAD]/serendipity/include/compat.inc.php:126
Stack trace:
#0 [internal function]: errorToExceptionHandler(2, 'fopen(): https:...', '/kunden/73193_3...', 1202, Array)
#1 /[Anm: HIER STEHT DER SERVERPFAD]/serendipity/include/functions_installer.inc.php(1202): fopen('https://raw.git...', 'r')
#2 /[Anm: HIER STEHT DER SERVERPFAD]/serendipity/include/admin/overview.inc.php(41): serendipity_getCurrentVersion()
#3 /[Anm: HIER STEHT DER SERVERPFAD]/serendipity/serendipity_admin.php(228): include('/kunden/73193_3...')
#4 {main}
thrown in /[Anm: HIER STEHT DER SERVERPFAD]/serendipity/include/compat.inc.php on line 126

User avatar
onli
Regular
Posts: 2361
Joined: Tue Sep 09, 2008 10:04 pm
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by onli » Wed Apr 23, 2014 5:26 pm

Danke fürs melden, mbb.

Das Problem ist auf dem Schirm: https://github.com/s9y/Serendipity/issues/127

mbb
Regular
Posts: 60
Joined: Sun Jul 22, 2007 3:06 pm

Re: V 2.0 Beta2 Installationsproblem

Post by mbb » Wed Apr 23, 2014 7:00 pm

Herzlichen Dank für die Rückmeldung ... dann warte ich mal auf die beta3 ... nutzen kann ich die beta2 ja derzeit

User avatar
refilix
Regular
Posts: 299
Joined: Sat Aug 01, 2009 12:39 am
Location: Berlin
Contact:

Re: V 2.0 Beta2 Installationsproblem

Post by refilix » Wed Apr 23, 2014 8:14 pm

Hallo,

hab grad mit denen bei 1und1 gesprochen. Die sind der Meinung das in dem autoload_real.php in der Line 5 ein Pfad angegeben sein müsste.

Code: Select all

class ComposerAutoloaderInit3146f05565d9c8136a7e59e2a511ce14
Weil er in dieser Zeile das nicht findet wird die Fehlemeldung erzeugt. Waren die der Meinung.

Haben die mich Verschaukelt? Dieser Zufallswert, ist der vom Hoster oder von S9Y? Kann ich wieder auf 1.7.8 zurück?
Das Leben ist ein scheiss Spiel! Nur die Grafik ist geil!

Post Reply